body {
    text-align: center;
    font-size: 0.8rem;
    padding: 5px;
}

#filedrag,
#filedrag2 {
    font-weight: bold;
    text-align: center;
    padding: 1em 0;
    margin: 1em 0;
    color: #555;
    border: 2px dashed #555;
    border-radius: 7px;
    cursor: default;
    width: 100%;
}

#filedrag.hover,
#filedrag2.hover {
    color: #f00;
    border-color: #f00;
    border-style: solid;
    box-shadow: inset 0 3px 4px #888;
}

.form {
    float: left;
    width: 100%;
}

.form_left {
    float: left;
    width: 40%;
}

.form_right {
    float: left;
    width: 40%;
}

.form_left_label {
    display: block;
    width: 100px;
    float: left;
}

.form_right label {
    display: block;
}

#status label {
    display: inline;
}

.modal {
    display: none;
    /* Hidden by default */
    position: fixed;
    /* Stay in place */
    z-index: 1;
    /* Sit on top */
    left: 0;
    top: 0;
    width: 100%;
    /* Full width */
    height: 100%;
    /* Full height */
    overflow: auto;
    /* Enable scroll if needed */
    background-color: rgb(0, 0, 0);
    /* Fallback color */
    background-color: rgba(0, 0, 0, 0.4);
    /* Black w/ opacity */
}

/* Modal Content/Box */
.modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    /* 15% from the top and centered */
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    /* Could be more or less, depending on screen size */
}

/* The Close Button */
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.container {
    position: relative;
    width: 300px;
    /* Largeur de la div parent (ajustez selon vos besoins) */
    height: 75px;
    /* Hauteur de la div parent (ajustez selon vos besoins) */
}

.center-button {
    position: absolute;
    left: 52%;
    top: 10%;
    transform: translate(-50%, -50%);
}

.informations {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    font-size: 1rem;
}

/* On retire les boutons du input type number */
/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

/* Chrome */
input::-webkit-inner-spin-button,
input::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Opéra*/
input::-o-inner-spin-button,
input::-o-outer-spin-button {
    -o-appearance: none;
    margin: 0
}

/* Indicateur de chargement */
.loading-spinner {
    border: 4px solid rgba(0, 0, 0, 0.1);
    border-left-color: #333;
    border-radius: 50%;
    width: 20px;
    height: 20px;
    animation: spin 1s linear infinite;
    display: inline-block;
    vertical-align: middle;
    margin-left: 5px;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}